<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			.ui-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-lex").tabs({
					selected: ${not empty actionBean.zakres ? actionBean.zakres.ordinal() + 1 : 0}
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.KpKwAction" style="width: 700px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Generowanie KP/KW (krok: opisy operacji)
					</legend>

					<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
						<ul>
							<li>
								<a href="#ui-tabs-dane-ogolne">Dane ogólne</a>
							</li>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li>
									<c:set var="listaKpKw" value="${actionBean.mapaKpKw[zakres]}"/>
									<a href="#ui-tabs-${i.count}">${zakres.from()}-${zakres.to()} (${fn:length(listaKpKw)})</a>
								</li>
							</c:forEach>
						</ul>
						<div id="ui-tabs-dane-ogolne">
							<%@ include file="krok2-daneOgolne.jsp" %>
						</div>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-${i.count}">
								<c:set var="listaKpKw" value="${actionBean.mapaKpKw[zakres]}"/>
								<c:choose>
									<c:when test="${fn:length(listaKpKw) > 0}">
										<%@ include file="listaKpKw.jsp" %>
									</c:when>
									<c:otherwise>
										Brak pozycji w tym zakresie
									</c:otherwise>
								</c:choose>
							</div>
						</c:forEach>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaOperacjiAction" class="button" event="lista">
							<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
							&laquo; Wróć do listy operacji
						</stripes:link>
						<c:if test="${!actionBean.mapaKpKw.isEmpty()}">
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</c:if>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
