<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOkresow}" id="listaOkresow" var="okres" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dzien" title="Okres" styleClass="daneWyroznione" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate var="_okres" value="${okres}" pattern="${DATE_PATTERN}" />
				${_okres}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.KpKwEdycjaAction" event="edycja">
						<stripes:param name="okres" value="${_okres}"/>
						<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.WykdrukKpKwZDniaAction" event="drukuj" target="_blank" title="Drukuj KP">
						<stripes:param name="zDnia" value="${_okres}"/>
						<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.WykdrukKpKwZDniaAction" event="drukuj" target="_blank" title="Drukuj KW">
						<stripes:param name="kw" value="true"/>
						<stripes:param name="zDnia" value="${_okres}"/>
						<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.ListaOkresowAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć wszystkie KP/KW z zadanego okresu? ')">
						<stripes:param name="okres" value="${_okres}"/>
						<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/depozyty/kpkw/listaOkresow.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
