<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_R_DEPOZYT">
<ul>
	<li class="groupHeader">DEPOZYT</li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_C_DEPOZYT">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" event="formularz" class="optionLink"
					title="Inicjalizacja konta depozytowego">
				<stripes:param name="konto.rodzaj" value="DEPOZYT"/>
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.WydrukStanuAction" event="formularz" class="optionLink"
				title="Wydruk stanu kasy">
			<stripes:param name="rodzajKont" value="DEPOZYT"/>
			&nbsp;WS&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaOperacjiAction" event="lista" class="optionLink"
				title="Operacje przeprowadzone na kontach">
			<stripes:param name="rodzajKont" value="DEPOZYT"/>
			&nbsp;O&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" event="podglad">
			<stripes:param name="rodzajKont" value="DEPOZYT"/>
			Konta
		</stripes:link>
	</li>
	<li class="groupHeader"></li>
	<li class="last leaf">
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieLokataAction" event="naliczenie" class="optionLink"
				title="Naliczanie odsetek wg oprocentowania (lokata)">
			&nbsp;L&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieKwotowoAction" event="krok1KwotaRozbicia" class="optionLink"
				title="Naliczanie odsetek wg stanu kont (kwotowo)">
			&nbsp;K&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" event="lista">
			Odsetki&nbsp;/&nbsp;Podatek
		</stripes:link>
	</li>
	<li class="groupHeader"></li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_U_DEPOZYT">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataAction" event="dodawanie" class="optionLink"
					title="Nowa 'inna' wypłata z depozytu">
				<stripes:param name="rodzajKont" value="DEPOZYT"/>
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista">
			<stripes:param name="rodzajKont" value="DEPOZYT"/>
			Wypłaty (inne)
		</stripes:link>
	</li>
</ul>
</ttSec:secure>
