<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_R_ODPIS,SOC_R_ZWROT,SOC_R_WPLATY_PLATNOSC">
<ul>
	<li class="groupHeader">DOKUMENTY</li>
	<li class="last leaf">
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaInfoAction" event="info">
			Noty
		</stripes:link>
	</li>
		<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC,SOC_C_WPLATY_PLATNOSC">
			<li class="last leaf submenu">
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
							class="optionLink" title="Generuj nową notę">
						<stripes:param name="nota.typ" value="DOPLATY"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Pobranie z kasy mieszkańca">
						<stripes:param name="nota.typ" value="DOPLATY"/>
						<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
						&nbsp;K&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Pobranie z depozytów">
						<stripes:param name="nota.typ" value="DOPLATY"/>
						<stripes:param name="rodzajKont" value="DEPOZYT"/>
						&nbsp;D&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Lista brakujących wpłat">
						<stripes:param name="nota.typ" value="DOPLATY"/>
						&nbsp;W&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_ODPLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.ListaLimitowAction" event="lista"
							class="optionLink" title="Limity, ograniczenia wysokości dopłat">
						&nbsp;L&nbsp;
					</stripes:link>
				</ttSec:secure>
				
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
						class="baseLink" title="Dopłaty - lista">
					<stripes:param name="nota.typ" value="DOPLATY"/>
					dopłat
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC,OG_R_FAKTURY">
			<li class="last leaf submenu">
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
							class="optionLink" title="Generuj nową notę">
						<stripes:param name="nota.typ" value="FAKTURY"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Pobranie z kasy mieszkańca">
						<stripes:param name="nota.typ" value="FAKTURY"/>
						<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
						&nbsp;K&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Pobranie z depozytów">
						<stripes:param name="nota.typ" value="FAKTURY"/>
						<stripes:param name="rodzajKont" value="DEPOZYT"/>
						&nbsp;D&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
							class="optionLink" title="Lista brakujących wpłat">
						<stripes:param name="nota.typ" value="FAKTURY"/>
						&nbsp;W&nbsp;
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
						class="baseLink" title="Faktury - lista płatności">
					<stripes:param name="nota.typ" value="FAKTURY"/>
					faktur
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_ODPIS,SOC_C_ODPIS">
			<li class="last leaf submenu">
				<ttSec:secure roles="SOC_C_ODPIS">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
							class="optionLink" title="Generuj nową notę">
						<stripes:param name="nota.typ" value="ODPISY"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
						<stripes:param name="nota.typ" value="ODPISY"/>
						<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
						&nbsp;K&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Przekazanie zwrotów na depozyt">
						<stripes:param name="nota.typ" value="ODPISY"/>
						<stripes:param name="rodzajKont" value="DEPOZYT"/>
						&nbsp;D&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_C_ODPIS">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Lista brakujących zwrotów">
						<stripes:param name="nota.typ" value="ODPISY"/>
						&nbsp;Z&nbsp;
					</stripes:link>
				</ttSec:secure>
				
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
						class="baseLink" title="Odpisy za nieobecność">
					<stripes:param name="nota.typ" value="ODPISY"/>
					odpisów (N)
				</stripes:link>
			</li>
		</ttSec:secure>
		<li class="last leaf submenu">
			<ttSec:secure roles="SOC_C_ZWROT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
						class="optionLink" title="Generuj nową notę">
					<stripes:param name="nota.typ" value="WYROWNANIA"/>
					<img src="${root}/img/plusButton.gif"/>
				</stripes:link>
			</ttSec:secure>
			
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
					class="baseLink" title="Wyrównania płatności za pobyt w poszczególnych miesiącach">
				<stripes:param name="nota.typ" value="WYROWNANIA"/>
				wyrównań
			</stripes:link>
		</li>
		<ttSec:secure roles="SOC_R_ZWROT,SOC_C_ZWROT">
			<li class="last leaf submenu">
				<ttSec:secure roles="SOC_C_ZWROT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
							class="optionLink" title="Generuj nową notę">
						<stripes:param name="nota.typ" value="ZWROTY"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
						<stripes:param name="nota.typ" value="ZWROTY"/>
						<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
						&nbsp;K&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_U_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Przekazanie zwrotów na depozyt">
						<stripes:param name="nota.typ" value="ZWROTY"/>
						<stripes:param name="rodzajKont" value="DEPOZYT"/>
						&nbsp;D&nbsp;
					</stripes:link>
				</ttSec:secure>
				<ttSec:secure roles="SOC_C_ZWROT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
							class="optionLink" title="Lista brakujących zwrotów">
						<stripes:param name="nota.typ" value="ZWROTY"/>
						&nbsp;Z&nbsp;
					</stripes:link>
				</ttSec:secure>
				
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
						class="baseLink" title="Zwroty - lista">
					<stripes:param name="nota.typ" value="ZWROTY"/>
					zwrotów
				</stripes:link>
			</li>
		</ttSec:secure>
	<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_C_ODPLATNOSC">
		<li class="groupHeader"></li>
		<li class="last leaf">
			<ttSec:secure roles="SOC_C_ODPLATNOSC">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaGeneratorAction" event="formularz"
						class="optionLink" title="Generuj zestawienie">
					<img src="${root}/img/plusButton.gif"/>
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_ODPLATNOSC">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="lista"
						class="baseLink" title="Księgowe zestawienie 'winien-ma' do rozliczenia odpłatności za pobyt">
					Zestawienia winien/ma
				</stripes:link>
			</ttSec:secure>
		</li>
	</ttSec:secure>
</ul>
</ttSec:secure>
