<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_R_KASA_MIESZKANCA">
<ul>
	<li class="groupHeader">KASA MIESZKAŃCA</li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_C_KASA_MIESZKANCA">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" event="formularz" class="optionLink"
					title="Inicjalizacja konta depozytowego">
				<stripes:param name="konto.rodzaj" value="KASA_MIESZKANCA"/>
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.WydrukStanuAction" event="formularz" class="optionLink"
				title="Wydruk stanu kasy">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			&nbsp;WS&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaOperacjiAction" event="lista" class="optionLink"
				title="Operacje przeprowadzone na kontach">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			&nbsp;O&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" event="podglad">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			Konta
		</stripes:link>
	</li>
	<li class="groupHeader"></li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.KpKwAction" event="krok1" class="optionLink" title="Generowanie KP/KW">
				<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.ListaOkresowAction" event="lista" class="optionLink" title="Lista okresów KP/KW">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			&nbsp;O&nbsp;
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.ListaKpKwAction" event="lista">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			KP&nbsp;/&nbsp;KW
		</stripes:link>
	</li>
	<li class="groupHeader"></li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataAction" event="dodawanie" class="optionLink"
					title="Nowa 'inna' wypłata z kasy mieszkańca">
				<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista">
			<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
			Wypłaty (inne)
		</stripes:link>
	</li>
</ul>
</ttSec:secure>
