<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
<ul>
	<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
		<li class="groupHeader">WPŁATY Z DOKUMENTÓW</li>
		<li class="last leaf">
			<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
						class="optionLink" title="Pobranie z kasy mieszkańca">
					<stripes:param name="nota.typ" value="FAKTURY"/>
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					&nbsp;K&nbsp;
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_U_DEPOZYT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
						class="optionLink" title="Pobranie z depozytów">
					<stripes:param name="nota.typ" value="FAKTURY"/>
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					&nbsp;D&nbsp;
				</stripes:link>
			</ttSec:secure>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista" title="Lista brakujących wpłat">
				<stripes:param name="nota.typ" value="FAKTURY"/>
				Dla faktur
			</stripes:link>
		</li>
		<li class="last leaf">
			<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
						class="optionLink" title="Pobranie z kasy mieszkańca">
					<stripes:param name="nota.typ" value="DOPLATY"/>
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					&nbsp;K&nbsp;
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_U_DEPOZYT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
						class="optionLink" title="Pobranie z depozytów">
					<stripes:param name="nota.typ" value="DOPLATY"/>
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					&nbsp;D&nbsp;
				</stripes:link>
			</ttSec:secure>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista" title="Lista brakujących wpłat">
				<stripes:param name="nota.typ" value="DOPLATY"/>
				Pozostałe
			</stripes:link>
		</li>
	</ttSec:secure>
	
	<li class="groupHeader">WPŁATY POZOSTAŁE</li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataAction" event="opcje"
					class="optionLink" title="Nowe wpłaty instytucji dopłacających">
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" event="lista">
			Instytucji ('<i>nowe zasady</i>')
		</stripes:link>
	</li>
	<li class="last leaf">
		<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataAction" event="opcje"
					class="optionLink" title="Nowe wpłaty ze świadczeń">
				<img src="${root}/img/plusButton.gif"/>
			</stripes:link>
		</ttSec:secure>
		
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscListaWplatAction" event="lista">
			Świadczeń <i>E&nbsp;/&nbsp;R&nbsp;/&nbsp;...</i>
		</stripes:link>
	</li>
	<li class="last leaf">
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataAction" event="krok1" class="optionLink"
				title="Nowa 'inna' wpłata dla wybranego płatnika">
			<img src="${root}/img/plusButton.gif"/>
		</stripes:link>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" event="lista">
			Inne
		</stripes:link>
	</li>
</ul>
</ttSec:secure>
