<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_C_ODPIS,SOC_C_ZWROT">
<ul>
	<li class="groupHeader">ZWROTY Z DOKUMENTÓW</li>
	<ttSec:secure roles="SOC_C_ODPIS">
		<li class="last leaf">
			<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
						class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
					<stripes:param name="nota.typ" value="ODPISY"/>
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					&nbsp;K&nbsp;
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_U_DEPOZYT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
						class="optionLink" title="Przekazanie zwrotów na depozyt">
					<stripes:param name="nota.typ" value="ODPISY"/>
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					&nbsp;D&nbsp;
				</stripes:link>
			</ttSec:secure>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
					title="Lista brakujących zwrotów">
				<stripes:param name="nota.typ" value="ODPISY"/>
				Zwroty dla nieob.
			</stripes:link>
		</li>
	</ttSec:secure>
	<ttSec:secure roles="SOC_C_ZWROT">
		<li class="last leaf">
			<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
						class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
					<stripes:param name="nota.typ" value="ZWROTY"/>
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					&nbsp;K&nbsp;
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_U_DEPOZYT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
						class="optionLink" title="Przekazanie zwrotów na depozyt">
					<stripes:param name="nota.typ" value="ZWROTY"/>
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					&nbsp;D&nbsp;
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_C_ZWROT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
						title="Lista brakujących zwrotów">
					<stripes:param name="nota.typ" value="ZWROTY"/>
					Zwroty
				</stripes:link>
			</ttSec:secure>
		</li>
	</ttSec:secure>
</ul>
</ttSec:secure>
